Package org.h2.test.db

# Class TestTriggersConstraints.TestTriggerAlterTable

java.lang.Object
org.h2.test.db.TestTriggersConstraints.TestTriggerAlterTable

All Implemented Interfaces:
  `Trigger`

Enclosing class:
  TestTriggersConstraints

public static class TestTriggersConstraints.TestTriggerAlterTable extends Object implements Trigger
A test trigger implementation.

## Field Summary

### Fields inherited from interface org.h2.api.Trigger

`DELETE, INSERT, SELECT, UPDATE`

## Constructor Summary

Constructors
Constructor
Description
`TestTriggerAlterTable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
This method is called when the database is closed.
`void`
`fire(Connection conn, Object[] oldRow, Object[] newRow)`
This method is called for each triggered action.
`void`
`remove()`
This method is called when the trigger is dropped.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.Trigger

`init`

## Constructor Details

### TestTriggerAlterTable

public TestTriggerAlterTable()

## Method Details

### fire

public void fire(Connection conn, Object[] oldRow, Object[] newRow) throws SQLException
Description copied from interface: `Trigger`
This method is called for each triggered action. The method is called immediately when the operation occurred (before it is committed). A transaction rollback will also rollback the operations that were done within the trigger, if the operations occurred within the same database. If the trigger changes state outside the database, a rollback trigger should be used.

The row arrays contain all columns of the table, in the same order as defined in the table.

The trigger itself may change the data in the newRow array.

Specified by:
  `fire` in interface `Trigger`
Parameters:
  `conn` - a connection to the database
  `oldRow` - the old row, or null if no old row is available (for INSERT)
  `newRow` - the new row, or null if no new row is available (for DELETE)
Throws:
  `SQLException` - if the operation must be undone

### close

public void close()
Description copied from interface: `Trigger`
This method is called when the database is closed. If the method throws an exception, it will be logged, but closing the database will continue.

Specified by:
  `close` in interface `Trigger`

### remove

public void remove()
Description copied from interface: `Trigger`
This method is called when the trigger is dropped.

Specified by:
  `remove` in interface `Trigger`